# SPDX-FileCopyrightText: 2020 Adriaan de Groot <groot@kde.org>
# SPDX-License-Identifier: GPL-3.0-or-later
---
$schema: https://json-schema.org/schema#
$id: https://calamares.io/schemas/grubcfg
additionalProperties: false
type: object
properties:
    overwrite: { type: boolean, default: false }
    keep_distributor: { type: boolean, default: false }
    prefer_grub_d: { type: boolean, default: false }
    kernel_params: { type: array, items: { type: string } }
    defaults:
        type: object
        additionalProperties: true  # Other fields are acceptable
        properties:
            GRUB_TIMEOUT: { type: integer }
            GRUB_DEFAULT: { type: string }
            GRUB_DISABLE_SUBMENU: { type: boolean, default: true }
            GRUB_TERMINAL_OUTPUT: { type: string }
            GRUB_DISABLE_RECOVERY: { type: boolean, default: true }
        required: [ GRUB_TIMEOUT, GRUB_DEFAULT ]
    always_use_defaults: { type: boolean, default: false }
